from osv import osv, fields

class scrum_analytic_account(osv.osv):
    _inherit = 'account.analytic.account'

    _columns = {
        'backlog_ids': fields.one2many('project.scrum.product.backlog', 'analytic_account_id', 'Product backlogs'),
        'sprint_ids': fields.one2many('project.scrum.sprint' ,'analytic_account_id', 'Scrum Sprints'),
    }

    def copy(self, cr, uid, ids, default, context=None):
        def_dict = default.copy()
        def_dict.update({
            'backlog_ids': [],
            'sprint_ids': [],
        })
        return super(scrum_analytic_account, self).copy(cr,uid, ids, def_dict, context)
scrum_analytic_account()
